summaryrefslogtreecommitdiff
path: root/tests/rm/i-no-r
diff options
context:
space:
mode:
Diffstat (limited to 'tests/rm/i-no-r')
-rwxr-xr-xtests/rm/i-no-r4
1 files changed, 2 insertions, 2 deletions
diff --git a/tests/rm/i-no-r b/tests/rm/i-no-r
index c0a0a8104..b23ff5e62 100755
--- a/tests/rm/i-no-r
+++ b/tests/rm/i-no-r
@@ -3,7 +3,7 @@
# recurse into directory DIR. rm -i (without -r) must fail in that case.
# Fixed in coreutils-4.5.2.
-# Copyright (C) 2002 Free Software Foundation, Inc.
+# Copyright (C) 2002, 2006 Free Software Foundation, Inc.
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -27,7 +27,7 @@ fi
pwd=`pwd`
t0=`echo "$0"|sed 's,.*/,,'`.tmp; tmp=$t0/$$
-trap 'status=$?; cd $pwd; chmod -R u+rwx $t0; rm -rf $t0 && exit $status' 0
+trap 'status=$?; cd "$pwd" && chmod -R u+rwx $t0 && rm -rf $t0 && exit $status' 0
trap '(exit $?); exit $?' 1 2 13 15
framework_failure=0